package cn.com.poc.agent_application.query;

import java.io.Serializable;
import javax.persistence.Column;
import javax.persistence.Entity;

import cn.com.yict.framemax.data.model.BaseItemClass;

/**
 * Query Item class for MallAgentApplicationQuery
 */
@Entity
public class MallAgentApplicationQueryItem extends BaseItemClass implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * id
     * id
     */
    private java.lang.Integer id;

    @Column(name = "id")
    public java.lang.Integer getId() {
        return this.id;
    }

    public void setId(java.lang.Integer id) {
        this.id = id;
    }

    /**
     * agent_publish_id
     * agent_publish_id
     */
    private java.lang.Integer agentPublishId;

    @Column(name = "agent_publish_id")
    public java.lang.Integer getAgentPublishId() {
        return this.agentPublishId;
    }

    public void setAgentPublishId(java.lang.Integer agentPublishId) {
        this.agentPublishId = agentPublishId;
    }

    /**
     * agent_type
     * agent_type
     */
    private java.lang.String agentType;

    @Column(name = "agent_type")
    public java.lang.String getAgentType() {
        return this.agentType;
    }

    public void setAgentType(java.lang.String agentType) {
        this.agentType = agentType;
    }

    /**
     * category_id
     */
    private java.lang.Integer categoryId;

    @Column(name = "category_id")
    public java.lang.Integer getCategoryId() {
        return this.categoryId;
    }

    public void setCategoryId(java.lang.Integer categoryId) {
        this.categoryId = categoryId;
    }

    /**
     * collect_number
     * collect_number
     */
    private java.lang.Integer collectNumber;

    @Column(name = "collect_number")
    public java.lang.Integer getCollectNumber() {
        return this.collectNumber;
    }

    public void setCollectNumber(java.lang.Integer collectNumber) {
        this.collectNumber = collectNumber;
    }

    /**
     * baam.is_sale = 'Y'
     * baam.is_sale = 'Y'
     */
    private java.lang.String isSale;

    @Column(name = "is_sale")
    public java.lang.String getIsSale() {
        return this.isSale;
    }

    public void setIsSale(String isSale) {
        this.isSale = isSale;
    }

    /**
     * click_number
     * click_number
     */
    private java.lang.Integer clickNumber;

    @Column(name = "click_number")
    public java.lang.Integer getClickNumber() {
        return this.clickNumber;
    }

    public void setClickNumber(java.lang.Integer clickNumber) {
        this.clickNumber = clickNumber;
    }

    /**
     * is_copy
     * is_copy
     */
    private java.lang.String isCopy;

    @Column(name = "is_copy")
    public java.lang.String getIsCopy() {
        return this.isCopy;
    }

    public void setIsCopy(java.lang.String isCopy) {
        this.isCopy = isCopy;
    }

    /**
     * popularity
     * popularity
     */
    private java.lang.Double popularity;

    @Column(name = "popularity")
    public java.lang.Double getPopularity() {
        return this.popularity;
    }

    public void setPopularity(java.lang.Double popularity) {
        this.popularity = popularity;
    }

    /**
     * agent_id
     * agent_id
     */
    private java.lang.String agentId;

    @Column(name = "agent_id")
    public java.lang.String getAgentId() {
        return this.agentId;
    }

    public void setAgentId(java.lang.String agentId) {
        this.agentId = agentId;
    }

} 